:root {
    --primary-color: #01345F;
    --secondary-color: #DE6F00;
    --primary-color-hover: #1E66ED;
    --white: #FFF;
    --font-family: 'Poppins', sans-serif;
    --danger-color: #f50000;
    --dange-color-hover: #cc1f1f;
}

span.hidden-sm-up {
    margin-right: 5px;
}


.btn-search-pop {
    background-color: var(--primary-color);
    border-radius: 5px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border: none;
    transition: background-color 0.4s ease;
    font-family: var(--font-family);
    border: solid 1px var(--primary-color);
}

.btn-search-pop:hover {
    background-color: var(--primary-color-hover);
    border: solid 1px var(--primary-color);
}

.input-search-pop,
.input-search-pop:focus {
    border: 1px solid var(--primary-color);
    border-right: none;
    font-family: var(--font-family);
    color: var(--primary-color);
}

.input-search-pop::placeholder {
    color: var(--primary-color);
    font-style: italic;
    opacity: 0.6;
    font-size: .8rem;
    font-family: var(--font-family);
    font-weight: 400;
    transition: opacity 0.3s ease-in-out;
}

.input-search-pop:focus::placeholder {
    opacity: 0;
}

.btn.btn-register-pop {
    background-color: transparent;
    border: solid 1px var(--primary-color);
    color: var(--primary-color);
    text-align: center;
    font-size: 15px;
    font-weight: 400;
    transition: background-color 0.4s, color 0.4s, border 0.4s;
    padding: 10px 25px;
}

.btn.btn-register-pop:hover {
    background-color: var(--primary-color);
    color: var(--white);
}

.content-category {
    display: flex;
    justify-content: end;
    margin: 20px 20px 0 0;
}

.content-category select,
.content-category select:focus {
    border: solid 1px var(--primary-color);
    color: var(--primary-color);
}

.card-box-custom {
    border-radius: 10px;
    border: 0.8px solid var(--secondary-color);
    background: var(--white);
    display: flex;
    flex-direction: column;
    height: 100%;
    text-align: center;
}

.card-logo img {
    max-width: 180px;
    width: 100%;
    height: auto;
}

.card-box-custom .card-body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card-box-custom .card-title {
    color: var(--primary-color);
    font-family: Poppins, sans-serif;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    border-bottom: solid 1px var(--secondary-color);
    height: 45px;
    padding: 0 15px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
}

.card-body-text {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 10px 15px;
    flex-grow: 1;
}

.card-box-custom .card-subtitle {
    font-size: 13px;
    font-weight: 600;
    color: var(--primary-color);
    margin-bottom: 5px;
    width: 100%;
}

.card-text {
    font-size: 13px;
    color: var(--primary-color);
    text-align: left;
    line-height: 1.5;
    flex-grow: 1;
}

.card-box-custom .btn {
    display: flex;
    width: 105px;
    padding: 6px;
    align-items: center;
    justify-content: center;
    font-family: Poppins, sans-serif;
    font-size: 11px;
    font-weight: 400;
    border: none;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.card-body-data {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
    width: 100%;
    margin-bottom: 20px;
}

.dt-vigencia {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.dt-vigencia-inicio, .dt-vigencia-fim {
    display: flex;
    flex-direction: column;
}

.dt-vigencia-text {
    font-size: 12px;
    font-weight: 600;
    color: var(--secondary-color);
}

.dt-vigencia-inicio-data, .dt-vigencia-fim-data {
    font-size: 12px;
    color: var(--secondary-color);
}


.footer-card {
    margin-top: auto;
    display: flex;
    justify-content: center;
    padding: 30px 15px 10px 15px;
    border-top: solid 1px var(--secondary-color);
}

.card-body-tag {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 10px 15px;
    width: 100%;
    margin-bottom: 20px;
}

.card-subtitle {
    font-size: 14px;
    font-weight: 600;
    color: var(--primary-color);
    margin-bottom: 5px;
}

.tags-container {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    justify-content: flex-start;
    width: 100%;
    padding-top: 5px;
}

.tags-container .span-tag {
    font-size: 11px;
    text-transform: lowercase;
    color: var(--secondary-color);
    border: solid 1px var(--secondary-color);
    padding: 5px 10px;
    border-radius: 20px;
    min-width: 70px;
    user-select: none;
    cursor: default;
}

.card-box-pop .btn-primary.tag {
    font-size: 12px;
    margin: 2px;
    background-color: var(--white);
    color: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    transition: 0.4s;
    text-transform: lowercase;
    cursor: pointer;
}

 


.buttons-actions-custom {
    display: flex;
    gap: 10px;
    justify-content: flex-end;
    padding-left: 15px;
}

.buttons-actions-custom .btn-download,
.buttons-actions-custom .btn-edit {
    padding: 6px 12px;
    font-size: 13px;
    transition: 0.4s;
    font-weight: 500;
}

.buttons-actions-custom .btn-download {
    color: var(--primary-color);
    border: solid 1px var(--primary-color);
}

.buttons-actions-custom .btn-download:hover {
    background: var(--primary-color);
    color: var(--white);
}

 

.input-container {
    position: relative;
    margin: 15px 0;
    width: 100%;
}

.input-container label {
    position: absolute;
    top: -9px;
    left: 12px;
    font-size: 14px;
    font-weight: 500;
    color: var(--primary-color);
    background: var(--white);
    padding: 0 5px;
    pointer-events: none;
    transition: 0.3s;
    white-space: nowrap;
    z-index: 9999;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: solid #01345f 1px;
    outline: 0;
}

.input-container input,
.input-container select,
.input-container textarea,
.input-container .select2-selection--multiple {
    width: 100%;
    padding: 12px 12px 12px 15px;
    border: 1px solid var(--primary-color);
    border-radius: 5px;
    font-size: 13px;
    outline: none;
    transition: opacity 0.3s ease-in-out;
    color: var(--primary-color);
    background-color: var(--white);
}

.input-container input::placeholder,
.input-container .select2-selection--multiple::placeholder,
.input-container textarea::placeholder {
    font-size: .8rem;
    color: var(--primary-color);
    opacity: 0.5;
    transition: opacity 0.3s ease-in-out;
}

.input-container input:focus::placeholder,
.input-container .select2-selection--multiple:focus::placeholder,
.input-container textarea:focus::placeholder {
    opacity: 0;
}
.input-container .select2-selection__choice {
    background-color: var(--secondary-color) !important;
    border: 1px solid var(--secondary-color) !important;
}

.input-container .select2-selection__choice__remove{
    color: var(--white)!important;
}

.custom-file-upload {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    border: 1px solid var(--primary-color);
    border-radius: 5px;
    padding: 8px 12px;
    cursor: pointer;
    background-color: var(--white);
    width: 100%;
}

.custom-file-upload input[type="file"] {
    display: none;
}

.file-info {
    font-size: 11px;
    font-style: italic;
    color: #1E66ED;
    margin-top: 5px;
    padding-left: 10px;
}

.form-buttons {
    display: flex;
    gap: 10px;
}

.btn-cancel {
    background: transparent;
    border: 1px solid red;
    color: red;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

.btn-cancel:hover {
    background: red;
    color: white;
}

.btn-submit {
    background: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

.btn-submit:hover {
    background: var(--white);
    color: var(--secondary-color);
}

input::placeholder,
textarea::placeholder,
.select2-container--default .select2-selection__placeholder {
    color: #999;
    font-style: italic;
    opacity: 1;
}

input:focus::placeholder,
textarea:focus::placeholder {
    color: #555;
    font-style: normal;
}

label#nome-error, label#tipo-error, label#categoria-error, label#descricao-error, label#status-error, label#arquivo-error, label#tags-error {
    position: static;
    display: block;
    text-align: left;
}

/* DROPZONE */
.dropzone {
    height: 200px !important;
    border: 1px solid var(--primary-color)!important;
    background: #ffffff !important;
    padding: 20px !important;
    border-radius: 5px;
}

.dropzone {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
}

.dropzone .dz-preview {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width:100%;
}

.dropzone .dz-details,
.dropzone .dz-remove {
    text-align: center;
}

.dropzone .dz-preview .dz-details .dz-filename span {
    color: var(--secondary-color) !important;
    background-color: transparent!important;
}

.dropzone .dz-preview .dz-details .dz-filename:not(:hover) span {
    border: 1px solid transparent;
}

.dropzone .dz-preview .dz-details .dz-size{
    color: var(--secondary-color);
}

.dropzone .dz-preview.dz-file-preview .dz-image {
    border-radius: 20px;
    background: #999;
    background: linear-gradient(to bottom, #eee, #ddd);
}

.dropzone .dz-preview .dz-remove {
    color: var(--danger-color);
}

.dropzone .dz-preview .dz-remove:hover {
    color: var(--dange-color-hover);
    text-decoration: none !important;
}

.dropzone .dz-preview.dz-file-preview .dz-image {
    width: 50%;
    margin-left: 98px;
}

.dz-message {
    text-align: center;
    font-size: .9rem !important;
    color: var(--primary-color);
}

.dropzone .dz-success-mark svg {
    filter: invert(33%) sepia(80%) saturate(500%) hue-rotate(90deg) brightness(80%) contrast(90%) !important;
    width: 24px;
    height: 24px;
}

.dropzone .dz-error-mark svg {
    filter: invert(19%) sepia(85%) saturate(7430%) hue-rotate(345deg) brightness(95%) contrast(98%) !important;
    width: 24px;
    height: 24px;
}

.dropzone .dz-message:before {
    content: '\f0ee';
    font-family: "Font Awesome 6 Pro";
    font-size: 60px;
    position: absolute;
    top: -50px;
    width: 80px;
    height: 60px;
    right: 50%;
    margin-right: -40px;
    line-height: 1;
    color: #01345f;
    animation: pulse-black 2s infinite;
    transform: scale(1);
}

.dz-message small{
    font-weight:500;
    color:var(--secondary-color);
}

#contador, #contadorResumo {
    color: var(--secondary-color);
    font-style: italic;
}

.small-text {
    color: var(--secondary-color);
    font-style: italic;
    padding-top:2px;
}

.mensagem-vazia {
    text-align: center;
    padding: 20px;
    font-size: 16px;
    color: #666;
    font-weight: 500;
}

.mensagem-vazia i {
    font-size: 40px;
    color: #01345F;
    display: block;
    margin-bottom: 10px;
}

@keyframes pulsar {
    0% {
        box-shadow: 0 0 5px rgba(255, 0, 0, 0.5);
    }

    50% {
        box-shadow: 0 0 15px rgba(255, 0, 0, 0.8);
    }

    100% {
        box-shadow: 0 0 5px rgba(255, 0, 0, 0.5);
    }
}

.alerta-vencimento {
    background-color: rgba(255, 0, 0, 0.1);
    animation: pulsar 1.5s infinite ease-in-out;
    color: #b30000;
    font-weight: bold;
    text-align: center;
    padding: 8px;
    border-radius: 5px;
    margin-bottom: 12px;
    padding: 20px;
}

/*.card-box-pop.alerta {
    border: 1.5px solid red;
}*/

.alerta-vencimento-text i{
    font-size: 14px;
}
span.alerta-vencimento-text i {
    font-size: 2rem;
    margin-bottom:12px;
}

span.alerta-vencimento-text {
    font-family: var(--font-family);
    font-size: 13px;
    font-weight: 600;
    padding-bottom:20px;
}

.nav-link.custom-nav-link {
    color: #4F5467;
    background-color: #d7d7d737;
    border-color: transparent !important;
    transition: background-color 0.4s ease;
}
.nav-link.custom-nav-link:hover {
    color: #DE6F00;
    background-color: #de6f0027;
    border-color: transparent !important;

}


.nav-link.custom-nav-link.active {
    color: #4F5467;
    background-color: #fff;
    border-color: #fff #fff #fff;
}

fieldset.fieldset-arquivo {
    border: solid 1px var(--primary-color) !important;
    border-radius: 10px;
}

fieldset.fieldset-arquivo legend {
    font-size: 14px;
    font-weight: 500;
    color: var(--primary-color);
    padding: 0 5px;
}

 
